# GeocodeType

#### GeocodeType()
Core/GeocodeType.js 12

The type of geocoding to be performed by a `GeocoderService`.

##### See:

- Geocoder

### Members

#### static constantCesium.GeocodeType.AUTOCOMPLETE : Number
Core/GeocodeType.js 28

Perform an auto-complete using partial input, typically reserved for providing possible results as a user is typing.

#### static constantCesium.GeocodeType.SEARCH : Number
Core/GeocodeType.js 19

Perform a search where the input is considered complete.